# Export a key

**POST**  
`/v1/key/export`

Export the secret key associated with the passed public key.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume: `application/json`

`APIV1POSTKeyExportRequest` is the request for `POST /v1/key/export`

### Object

- **address**  
  string
- **wallet_handle_token**  
  string
- **wallet_password**  
  string

## Responses

### 200

Response to `POST /v1/key/export`

The list of MIME types the operation can produce: `application/json`

`APIV1POSTKeyExportResponse` is the response to `POST /v1/key/export`

### Friendly

- **ExportKeyResponse**  
  object

- **error**  
    boolean
  - **message**  
    string
  - **private_key**  
    PrivateKey is an exported ed25519PrivateKey
    
### Image
